package com.yonge.cooleshow.biz.dal.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * Description 老师乐谱分享信息
 *
 * @author liujunchi
 * @date 2022-04-01
 */
@ApiModel(value = "MusicSheetShareVo对象", description = "老师乐谱分享信息")
public class MusicSheetShareVo {

    @ApiModelProperty("老师姓名")
    private String name;

    @ApiModelProperty("老师头像")
    private String avatar;

    @ApiModelProperty("二维码链接")
    private String url;

    @ApiModelProperty("乐谱数量")
    private Long musicSheetCount;

    @ApiModelProperty("乐谱信息")
    private List<MusicSheetVo> musicSheetVoList;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Long getMusicSheetCount() {
        return musicSheetCount;
    }

    public void setMusicSheetCount(Long musicSheetCount) {
        this.musicSheetCount = musicSheetCount;
    }

    public List<MusicSheetVo> getMusicSheetVoList() {
        return musicSheetVoList;
    }

    public void setMusicSheetVoList(List<MusicSheetVo> musicSheetVoList) {
        this.musicSheetVoList = musicSheetVoList;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }
}
